%define svn_revision 68

Name:           irclog2html
Version:        2.7
Release:        5.svn%{svn_revision}%{?dist}
Summary:        Script to convert IRC logs to HTML and other formats

Group:          Applications/Communications
# Not specific to GPL version, will assume 3 as that's what they link to
License:        GPLv3+
URL:            http://mg.pov.lt/irclog2html/
# Source is only in upstream SCM. To create the tarball run
#   svn export -r %{svn_revision} http://mg.pov.lt/irclog2html/svn irclog2html-r%{svn_revision}
#   tar cjO irclog2html-r%{svn_revision} > %{name}-r%{svn_revision}.tar.bz2
Source0:        %{name}-r%{svn_revision}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
Requires:       python

%description
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.


%prep
%setup -q -n %{name}-r%{svn_revision}
echo "You may need the irclog.css file. It is available at
  %{_datadir}/%{name}/irclog.css
" > README.fedora


%build
# nothing


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{name}.py %{buildroot}%{_bindir}/%{name}
# keep bindir cleanish, most people will just want the main script.
mkdir -p %{buildroot}%{_datadir}/%{name}
chmod a+x *.py
cp -a * %{buildroot}%{_datadir}/%{name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 2.7-5.svn68
- Fix bug (use of undefined variable 'progname') found by Ondrej Baudys

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-2.svn67
- Fix buildroot
- Fix how-to-create-source comment

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-1.svn67
- Initial package build.
